Subject: bug#74759: 30.0.92; Gnus configuration warning

From: Robert Pluim <[email-masked]>
Date: Tue, 10 Dec 2024 12:58:17 +0100

>>>>> On Mon, 09 Dec 2024 22:09:07 -0500, Anush V <[email-masked]> said:

    Anush>        (setopt gnus-select-method
    Anush>        '(nnmaildir "My Mail"
    Anush>                (directory "/home/user/.mail")
    Anush>                (gnus-search-engine gnus-search-notmuch
    Anush>                                    (config-file
    Anush>        "/home/user/.mail/.notmuch_config"))))

    Anush> I get this warning

    Anush>   ■  Warning (emacs): Value ‘(nnmaildir "My Mail" (directory "/home/user/.mail") (gnus-search-engine gnus-search-notmuch (config-file "/home/user/.mail/.notmuch_config")))’ does not match type gnus-select-method

    Anush> I’m wondering if this is a bug, or if Im doing something wrong.

Itʼs an oversight in the definition of the custom type of
`gnus-select-method'. Iʼll see if I can come up with a fix.

Robert
--